import e from "./isSymbol.js";
//#region ../../node_modules/lodash-es/_toKey.js
var t = Infinity;
function n(n) {
	if (typeof n == "string" || e(n)) return n;
	var r = n + "";
	return r == "0" && 1 / n == -t ? "-0" : r;
}
//#endregion
export { n as default };
